﻿--
-- Структура таблицы `category`
--

CREATE TABLE IF NOT EXISTS `category` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` tinytext COLLATE utf8_unicode_ci NOT NULL COMMENT 'Название Категории',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='Категории' AUTO_INCREMENT=5 ;

--
-- Дамп данных таблицы `category`
--

INSERT INTO `category` (`id`, `name`) VALUES
(1, 'Америка'),
(2, 'Россия'),
(3, 'Украина'),
(4, 'Беларусь');

-- --------------------------------------------------------

--
-- Структура таблицы `priority`
--

CREATE TABLE IF NOT EXISTS `priority` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` tinytext COLLATE utf8_unicode_ci NOT NULL COMMENT 'Название Приоритета',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='Приоритеты' AUTO_INCREMENT=5 ;

--
-- Дамп данных таблицы `priority`
--

INSERT INTO `priority` (`id`, `name`) VALUES
(1, 'Высокий'),
(2, 'Нормальный'),
(3, 'Слабый'),
(4, 'Незначительный');

-- --------------------------------------------------------

--
-- Структура таблицы `resource`
--

CREATE TABLE IF NOT EXISTS `resource` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` tinytext COLLATE utf8_unicode_ci NOT NULL COMMENT 'Название ресурса',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='Ресурсы' AUTO_INCREMENT=5 ;

--
-- Дамп данных таблицы `resource`
--

INSERT INTO `resource` (`id`, `name`) VALUES
(1, 'Василий Васильевич'),
(2, 'Петров Петр'),
(3, 'Иван Иванов'),
(4, 'Анатолий Сергеевич');

-- --------------------------------------------------------

--
-- Структура таблицы `scheduler`
--

CREATE TABLE IF NOT EXISTS `scheduler` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Идентификатор задачи',
  `time_start` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'дата начала',
  `time_end` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'дата завершения',
  `name` tinytext CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL COMMENT 'Название задачи',
  `resource_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Ресурс – человек ответственный за задачу выбирается из справочника',
  `category_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Категория – некоторое текстовое значение, выбираемое из справочника',
  `priority_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Приоритет - некоторое текстовое значение, выбираемое из справочника',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=6236 ;

--
-- Дамп данных таблицы `scheduler`
--

INSERT INTO `scheduler` (`id`, `time_start`, `time_end`, `name`, `resource_id`, `category_id`, `priority_id`) VALUES
(4, 1207390650, 1207490650, 'Купить молоко', 2, 0, 2),
(12, 1207915214, 1294467896, 'Купить дополнительно', 0, 0, 0),
(7, 1207726324, 1299492553, 'Детский билет', 3, 0, 0),
(9, 1207731383, 1294477145, 'Забрыть билеты в кино', 0, 0, 0),
(8, 1207731283, 1300095153, 'Взрослый билет', 4, 0, 0),
(11, 1207821194, 1294479846, 'Купить морковки', 0, 0, 0),
(5, 1207390559, 1267966569, 'Забрать билеты', 0, 0, 0),
(3, 1207390661, 1327403753, 'Купить сахар', 1, 2, 0),
(10, 1207820896, 1288174886, 'Сходить на рынок', 0, 0, 0),
(6, 1207479151, 1352311856, 'Забрать билеты на поезд', 0, 2, 0),
(2, 1207390692, 1337780164, 'Сходить за хлебом', 0, 1, 1),
(1, 1207390712, 1295001051, 'Сделать покупки', 0, 0, 0);

-- --------------------------------------------------------

--
-- Структура таблицы `scheduler_ids`
--

CREATE TABLE IF NOT EXISTS `scheduler_ids` (
  `id` int(10) unsigned NOT NULL COMMENT 'Идентификатор задачи',
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Идентификатор родительской задачи',
  KEY `parent_id` (`parent_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

--
-- Дамп данных таблицы `scheduler_ids`
--

INSERT INTO `scheduler_ids` (`id`, `parent_id`) VALUES
(4, 2),
(12, 11),
(7, 6),
(9, 5),
(8, 6),
(11, 10),
(5, 0),
(3, 12),
(3, 2),
(10, 0),
(6, 5),
(4, 12),
(2, 1),
(1, 0);
